Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 01 Apr 2021 08:18:17 +0000

Hi Mohd Adeel Akhter,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have a parcel from homebox paid already via ecard, I was once contacted last thursday by  the courier driver landmark to deliver my parcel but was not able to get it from him as I was busy I am still at work. I called the delivery man back and re scheduled it on sunday, but he did not deliver, he did not even call. I sent him a mesaage thru whatsapp and he promised to deliver it the next day or the following day. It is wednesday already but I HAVE NOT YET RECEIVED MY PACKAGE. It is already way beyond the scheduled date of delivery and as per the driver he cannot find my package anymore!!!!!!!! It has been paid already. How can I get my package? I am having a really BAD EXPERIENCE from this courier. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2334378